
	COMMENT ON TYPE box2d IS 'postgis type: Uma caixa composta de x min, ymin, zmin, xmax, ymax, zmax. Normalmente usada para a extensão 3d de uma geometria ou coleção de geometrias.';

	COMMENT ON TYPE box3d IS 'postgis type: Uma caixa composta de x min, ymin, zmin, xmax, ymax, zmax. Normalmente usada para a extensão 3d de uma geometria ou coleção de geometrias.';

	COMMENT ON TYPE geometry IS 'postgis type: geografia é um tipo de dado espacial usado para representar uma característica no sistema de coordenada da terra-redonda.';

	COMMENT ON TYPE geometry_dump IS 'postgis type: A composite type used to describe the parts of complex geometry.';

	COMMENT ON TYPE geografia IS 'postgis type: The type representing spatial features with geodetic (ellipsoidal) coordinate systems.';

COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , integer , varchar , integer , boolean ) IS 'args: table_name, column_name, srid, type, dimension, use_typmod=true - Remove uma coluna geometria de uma spatial table.';
			
COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , varchar , integer , varchar , integer , boolean ) IS 'args: schema_name, table_name, column_name, srid, type, dimension, use_typmod=true - Remove uma coluna geometria de uma spatial table.';
			
COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , varchar , varchar , integer , varchar , integer , boolean ) IS 'args: catalog_name, schema_name, table_name, column_name, srid, type, dimension, use_typmod=true - Remove uma coluna geometria de uma spatial table.';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar ) IS 'args: table_name, column_name - Remove uma coluna geometria de uma spatial table.';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar , varchar ) IS 'args: schema_name, table_name, column_name - Remove uma coluna geometria de uma spatial table.';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name, column_name - Remove uma coluna geometria de uma spatial table.';
			
COMMENT ON FUNCTION DropGeometryTable(varchar ) IS 'args: table_name - Derruba uma table e todas suas referências em geometry_columns.';
			
COMMENT ON FUNCTION DropGeometryTable(varchar , varchar ) IS 'args: schema_name, table_name - Derruba uma table e todas suas referências em geometry_columns.';
			
COMMENT ON FUNCTION DropGeometryTable(varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name - Derruba uma table e todas suas referências em geometry_columns.';
			
COMMENT ON FUNCTION () IS 'Returns the SRID defined for a geometry column.';
			
COMMENT ON FUNCTION Populate_Geometry_Columns(boolean ) IS 'args: use_typmod=true - Ensures geometry columns are defined with type modifiers or have appropriate spatial constraints.';
			
COMMENT ON FUNCTION Populate_Geometry_Columns(oid, boolean ) IS 'args: relation_oid, use_typmod=true - Ensures geometry columns are defined with type modifiers or have appropriate spatial constraints.';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , integer ) IS 'args: table_name, column_name, srid - Updates the SRID of all features in a geometry column, and the table metadata.';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , varchar , integer ) IS 'args: schema_name, table_name, column_name, srid - Updates the SRID of all features in a geometry column, and the table metadata.';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , varchar , varchar , integer ) IS 'args: catalog_name, schema_name, table_name, column_name, srid - Updates the SRID of all features in a geometry column, and the table metadata.';
			
COMMENT ON AGGREGATE ST_MakeLine(geometry) IS 'args: geoms - Creates a GeometryCollection or Multi* geometry from a set of geometries.';
			
COMMENT ON FUNCTION ST_MakeLine(geometry, geometry) IS 'args: geom1, geom2 - Creates a GeometryCollection or Multi* geometry from a set of geometries.';
			
COMMENT ON FUNCTION ST_MakeLine(geometry[]) IS 'args: geoms_array - Creates a GeometryCollection or Multi* geometry from a set of geometries.';
			
COMMENT ON FUNCTION ST_LineFromMultiPoint(geometria ) IS 'args: ummultiponto - Cria uma linestring de um multiponto geométrico.';
			
COMMENT ON FUNCTION ST_MakeEnvelope(double precision, double precision, double precision, double precision, integer ) IS 'args: xmin, ymin, xmax, ymax, srid=unknown - Cria um polígono retangular formado a partir dos mínimos e máximos dados. Os valores de entrada devem ser em SRS especificados pelo SRID.';
			
COMMENT ON AGGREGATE ST_MakeLine(geometry) IS 'args: geoms - Cria uma Linestring de ponto, multiponto ou linha das geometrias.';
			
COMMENT ON FUNCTION ST_MakeLine(geometry, geometry) IS 'args: geom1, geom2 - Cria uma Linestring de ponto, multiponto ou linha das geometrias.';
			
COMMENT ON FUNCTION ST_MakeLine(geometry[]) IS 'args: geoms_array - Cria uma Linestring de ponto, multiponto ou linha das geometrias.';
			
COMMENT ON FUNCTION ST_Point(float , float ) IS 'args: x_lon, y_lat - Creates a 2D, 3DZ or 4D Point.';
			
COMMENT ON FUNCTION ST_MakePointM(float, float, float) IS 'args: x, y, m - Creates a 2D, 3DZ or 4D Point.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision, double precision) IS 'args: x, y, z, m - Creates a 2D, 3DZ or 4D Point.';
			
COMMENT ON FUNCTION ST_MakePointM(float, float, float) IS 'args: x, y, m - Cria um ponto com uma coordenada x y e medida.';
			
COMMENT ON FUNCTION ST_MakePolygon(geometry) IS 'args: linestring - Creates a Polygon from a shell and optional list of holes.';
			
COMMENT ON FUNCTION ST_MakePolygon(geometry, geometry[]) IS 'args: outerlinestring, interiorlinestrings - Creates a Polygon from a shell and optional list of holes.';
			
COMMENT ON FUNCTION ST_Point(float , float ) IS 'args: x_lon, y_lat - Retorna uma ST_Point com os valores de coordenada dados. Heterônimo OGC para ST_MakePoint.';
			
COMMENT ON FUNCTION ST_Polygon(geometry , integer ) IS 'args: aLineString, srid - Creates a Polygon from a LineString with a specified SRID.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision, double precision) IS 'args: x, y, z, m - Creates a rectangular Polygon in Web Mercator (SRID:3857) using the XYZ tile system.';
			
COMMENT ON FUNCTION GeometryType(geometria ) IS 'args: geomA - Retorna o tipo de geometria de valor ST_Geometry.';
			
COMMENT ON FUNCTION ST_Boundary(geometria ) IS 'args: geomA - Retorna o encerramento da borda combinatória dessa geometria.';
			
COMMENT ON FUNCTION ST_CoordDim(geometria ) IS 'args: geomA - Retorna a dimensão da coordenada do valor ST_Geometry.';
			
COMMENT ON FUNCTION ST_Dimension(geometria ) IS 'args: g - Retorna a dimensão da coordenada do valor ST_Geometry.';
			
COMMENT ON FUNCTION ST_Envelope(geometria ) IS 'args: g1 - Returns a set of geometry_dump rows for the components of a geometry.';
			
COMMENT ON FUNCTION ST_Points(geometria) IS 'args: geom - Returns a set of geometry_dump rows for the points in a geometry.';
			
COMMENT ON FUNCTION ST_ExteriorRing(geometry ) IS 'args: a_polygon - Returns a set of geometry_dump rows for the exterior and interior rings of a Polygon.';
			
COMMENT ON FUNCTION ST_Points(geometria) IS 'args: geom - Retorna o número de pontos em um valor ST_LineString ou ST_CircularString.';
			
COMMENT ON FUNCTION ST_Envelope(geometria ) IS 'args: g1 - Retorna uma geometria representando a precisão da dobrada (float8) da caixa limitada da geometria fornecida.';
			
COMMENT ON FUNCTION ST_BoundingDiagonal(geometria , booleana ) IS 'args: geom, fits=false - Retorna a diagonal da geometria fornecida da caixa limitada.';
			
COMMENT ON FUNCTION ST_ExteriorRing(geometry ) IS 'args: a_polygon - Retorna o número de anéis interiores de um polígono.';
			
COMMENT ON FUNCTION ST_GeometryN(geometria , inteiro ) IS 'args: geomA, n - Retorna o tipo de geometria de valor ST_Geometry.';
			
COMMENT ON FUNCTION ST_GeometryType(geometria ) IS 'args: g1 - Retorna o tipo de geometria de valor ST_Geometry.';
			
COMMENT ON FUNCTION ST_IsEmpty(geometria ) IS 'args: geomA - Tests if a geometry contains a circular arc';
			
COMMENT ON FUNCTION ST_InteriorRingN(geometria , inteiro ) IS 'args: a_polygon, n - Retorna o número de anéis interiores de um polígono.';
			
COMMENT ON FUNCTION ST_IsPolygonCCW(geometry) IS 'args: geom - Tests if Polygons have exterior rings oriented counter-clockwise and interior rings oriented clockwise.';
			
COMMENT ON FUNCTION ST_IsPolygonCW(geometry) IS 'args: geom - Tests if Polygons have exterior rings oriented clockwise and interior rings oriented counter-clockwise.';
			
COMMENT ON FUNCTION ST_IsClosed(geometria ) IS 'args: g - Retorna VERDADEIRO se os pontos de começo e fim da LINESTRING são coincidentes. Para superfície poliédrica está fechada (volumétrica).';
			
COMMENT ON FUNCTION ST_IsCollection(geometria ) IS 'args: g - Retorna verdadeiro se essa geometria é uma coleção vazia, polígono, ponto etc.';
			
COMMENT ON FUNCTION ST_IsEmpty(geometria ) IS 'args: geomA - Tests if a geometry is empty.';
			
COMMENT ON FUNCTION ST_IsRing(geometria ) IS 'args: g - Tests if a LineString is closed and simple.';
			
COMMENT ON FUNCTION ST_IsSimple(geometria ) IS 'args: geomA - Retorna (VERDADEIRA) se essa geometria não tem nenhum ponto irregular, como auto intersecção ou tangenciação.';
			
COMMENT ON FUNCTION ST_M(geometria ) IS 'args: a_point - Returns the M coordinate of a Point.';
			
COMMENT ON FUNCTION ST_NRings(geometria ) IS 'args: geomA - Retorna o tipo de geometria de valor ST_Geometry.';
			
COMMENT ON FUNCTION ST_NDims(geometria ) IS 'args: g1 - Retorna a dimensão da coordenada do valor ST_Geometry.';
			
COMMENT ON FUNCTION ST_NPoints(geometria ) IS 'args: g1 - Retorna o número de pontos (vértices) em uma geometria.';
			
COMMENT ON FUNCTION ST_NRings(geometria ) IS 'args: geomA - Retorna o número de anéis interiores de um polígono.';
			
COMMENT ON FUNCTION ST_NumGeometries(geometria ) IS 'args: geom - Retorna o número de pontos em uma geometria. Funciona para todas as geometrias.';
			
COMMENT ON FUNCTION ST_NumInteriorRings(geometria ) IS 'args: a_polygon - Retorna o número de anéis interiores de um polígono.';
			
COMMENT ON FUNCTION ST_NumInteriorRing(geometria ) IS 'args: a_polygon - Retorna o número de anéis interiores de um polígono na geometria. Sinônimo para ST_NumInteriorRings.';
			
COMMENT ON FUNCTION ST_NumPatches(geometria ) IS 'args: g1 - Retorna o número de faces em uma superfícies poliédrica. Retornará nulo para geometrias não poliédricas.';
			
COMMENT ON FUNCTION ST_NumPoints(geometria ) IS 'args: g1 - Retorna o número de pontos em um valor ST_LineString ou ST_CircularString.';
			
COMMENT ON FUNCTION ST_PatchN(geometria , inteiro ) IS 'args: geomA, n - Retorna o tipo de geometria de valor ST_Geometry.';
			
COMMENT ON FUNCTION ST_PointN(geometria , inteiro ) IS 'args: a_linestring, n - Retorna o número de pontos em um valor ST_LineString ou ST_CircularString.';
			
COMMENT ON FUNCTION ST_Points(geometria) IS 'args: geom - Retorna uma multilinestring contendo todas as coordenadas de uma geometria.';
			
COMMENT ON FUNCTION ST_StartPoint(geometria ) IS 'args: geomA - Returns the first point of a LineString.';
			
COMMENT ON FUNCTION ST_Summary(geometria ) IS 'args: g - Retorna um texto resumo dos conteúdos da geometria.';
			
COMMENT ON FUNCTION ST_Summary(geografia ) IS 'args: g - Retorna um texto resumo dos conteúdos da geometria.';
			
COMMENT ON FUNCTION ST_X(geometria) IS 'args: a_point - Returns the X coordinate of a Point.';
			
COMMENT ON FUNCTION ST_Y(geometria) IS 'args: a_point - Returns the Y coordinate of a Point.';
			
COMMENT ON FUNCTION ST_Z(geometria ) IS 'args: a_point - Returns the Z coordinate of a Point.';
			
COMMENT ON FUNCTION ST_Zmflag(geometria ) IS 'args: geomA - Retorna a dimensão da coordenada do valor ST_Geometry.';
			
COMMENT ON FUNCTION ST_AddPoint(geometry, geometry) IS 'args: linestring, point - Adicione um ponto para uma LineString.';
			
COMMENT ON FUNCTION ST_AddPoint(geometry, geometry, integer) IS 'args: linestring, point, position - Adicione um ponto para uma LineString.';
			
COMMENT ON FUNCTION ST_CollectionExtract(geometry , integer ) IS 'args: collection, type - Dada uma (multi)geometria, retorna uma (multi)geometria consistida apenas por elementos do tipo especificado.';
			
COMMENT ON FUNCTION ST_CollectionHomogenize(geometry ) IS 'args: collection - Dada uma coleção geométrica, retorna a representação "mais simples" dos conteúdos.';
			
COMMENT ON FUNCTION ST_Force2D(geometry ) IS 'args: geomA - Força a geometria para o modo de 2 dimensões.';
			
COMMENT ON FUNCTION ST_Force3D(geometry ) IS 'args: geomA - Força a geometria para um modo XYZ. Este é um apelido para a função ST_Force_3DZ.';
			
COMMENT ON FUNCTION ST_Force3DZ(geometry ) IS 'args: geomA - Força as geometrias para o modo XYZ.';
			
COMMENT ON FUNCTION ST_Force3DM(geometry ) IS 'args: geomA - Força as geometrias para o modo XYM.';
			
COMMENT ON FUNCTION ST_Force4D(geometry ) IS 'args: geomA - Força as geometrias para o modo XYZM.';
			
COMMENT ON FUNCTION ST_ForcePolygonCCW(geometry) IS 'args: geom - Orients all exterior rings counter-clockwise and all interior rings clockwise.';
			
COMMENT ON FUNCTION ST_ForceCollection(geometry ) IS 'args: geomA - Converte a geometria para um GEOMETRYCOLLECTION.';
			
COMMENT ON FUNCTION ST_ForcePolygonCW(geometry) IS 'args: geom - Orients all exterior rings clockwise and all interior rings counter-clockwise.';
			
COMMENT ON FUNCTION ST_ForceSFS(geometry ) IS 'args: geomA - Força as geometrias a utilizarem os tipos disponíveis na especificação SFS 1.1.';
			
COMMENT ON FUNCTION ST_ForceSFS(geometry , text ) IS 'args: geomA, version - Força as geometrias a utilizarem os tipos disponíveis na especificação SFS 1.1.';
			
COMMENT ON FUNCTION ST_ForceRHR(geometry) IS 'args: g - Força a orientação dos vértices em um polígono a seguir a regra da mão direita.';
			
COMMENT ON FUNCTION ST_ForceCurve(geometry) IS 'args: g - Converte para cima uma geometria para seu tipo curvo, se aplicável.';
			
COMMENT ON FUNCTION ST_LineMerge(geometry ) IS 'args: amultilinestring - Retorna um (conjunto de) LineString(s), costuradas em uma MULTILINESTRING.';
			
COMMENT ON FUNCTION ST_Multi(geometry ) IS 'args: g1 - Restitui a geometria como uma MULTI* geometria.';
			
COMMENT ON FUNCTION ST_Normalize(geometry ) IS 'args: geom - Retorna a geometria na sua forma canônica.';
			
COMMENT ON FUNCTION ST_TransScale(geometry , float, float, float, float) IS 'args: geomA, deltaX, deltaY, XFactor, YFactor - Sets least significant bits of coordinates to zero';
			
COMMENT ON FUNCTION ST_RemovePoint(geometry, integer) IS 'args: linestring, offset - Remove um ponto de uma linestring.';
			
COMMENT ON FUNCTION ST_Reverse(geometry ) IS 'args: g1 - Retorna a geometria com a ordem dos vértices revertida.';
			
COMMENT ON FUNCTION ST_Segmentize(geometry , float ) IS 'args: geom, max_segment_length - Retorna uma geometria/geografia alterada não tendo nenhum segmento maior que a distância dada.';
			
COMMENT ON FUNCTION ST_Segmentize(geography , float ) IS 'args: geog, max_segment_length - Retorna uma geometria/geografia alterada não tendo nenhum segmento maior que a distância dada.';
			
COMMENT ON FUNCTION ST_SetPoint(geometry, integer, geometry) IS 'args: linestring, zerobasedposition, point - Substitui ponto de uma linestring com um dado ponto.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float , float , float , float ) IS 'args: geomA, originX, originY, sizeX, sizeY - Rompe todos os pontos da geometria de entrada para uma rede regular.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float , float ) IS 'args: geomA, sizeX, sizeY - Rompe todos os pontos da geometria de entrada para uma rede regular.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float ) IS 'args: geomA, size - Rompe todos os pontos da geometria de entrada para uma rede regular.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , geometry , float , float , float , float ) IS 'args: geomA, pointOrigin, sizeX, sizeY, sizeZ, sizeM - Rompe todos os pontos da geometria de entrada para uma rede regular.';
			
COMMENT ON FUNCTION ST_Snap(geometry , geometry , float ) IS 'args: input, reference, tolerance - Rompe segmentos e vértices de geometria de entrada para vértices de uma geometria de referência.';
			
COMMENT ON FUNCTION ST_SetSRID(geometry , integer ) IS 'args: geom, srid - Retorna a geometria com a ordem dos vértices revertida.';
			
COMMENT ON FUNCTION ST_Area(geometry ) IS 'args: g1 - Retorna o centro geométrico de uma geometria.';
			
COMMENT ON FUNCTION ST_Area(geography , boolean ) IS 'args: geog, use_spheroid=true - Retorna o centro geométrico de uma geometria.';
			
COMMENT ON FUNCTION ST_Azimuth(geometria , geometria ) IS 'args: pointA, pointB - Retorna o azimute baseado em norte como o ângulo em radianos medidos em sentido horário da vertical no pontoA para o pontoB.';
			
COMMENT ON FUNCTION ST_Azimuth(geografia , geografia ) IS 'args: pointA, pointB - Retorna o azimute baseado em norte como o ângulo em radianos medidos em sentido horário da vertical no pontoA para o pontoB.';
			
COMMENT ON FUNCTION ST_Angle(geometry , geometry , geometry , geometry ) IS 'args: point1, point2, point3, point4 - Returns the angle between 3 points, or between 2 vectors (4 points or 2 lines).';
			
COMMENT ON FUNCTION ST_Angle(geometry , geometry ) IS 'args: line1, line2 - Returns the angle between 3 points, or between 2 vectors (4 points or 2 lines).';
			
COMMENT ON FUNCTION ST_ClosestPoint(geometria , geometria ) IS 'args: g1, g2 - Retorna o ponto 3 dimensional em g1 que é o mais próximo de g2. Este é o primeiro ponto da linha mais curta em três dimensões.';
			
COMMENT ON FUNCTION ST_3DClosestPoint(geometry , geometry ) IS 'args: g1, g2 - Retorna o ponto 3 dimensional em g1 que é o mais próximo de g2. Este é o primeiro ponto da linha mais curta em três dimensões.';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry ) IS 'args: g1, g2 - Retorna a linha 3-dimensional mais longa entre duas geometrias';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac - Retorna a linha 3-dimensional mais longa entre duas geometrias';
			
COMMENT ON FUNCTION ST_3DDistance(geometry , geometry ) IS 'args: g1, g2 - Para tipo geometria, retorna a menor distância cartesiana 3-dimensional (baseado no sistema de referência espacial) entre duas geometrias em unidades projetadas.';
			
COMMENT ON FUNCTION ST_DistanceSphere(geometry , geometry ) IS 'args: geomlonlatA, geomlonlatB - Retorna a menor distância entre duas geometrias lon/lat dado um esferoide específico. As versões anteriores a 1.5 só suportam pontos.';
			
COMMENT ON FUNCTION ST_DistanceSpheroid(geometry , geometry , spheroid ) IS 'args: geomlonlatA, geomlonlatB, measurement_spheroid - Retorna a menor distância entre duas geometrias lon/lat dado um esferoide específico. As versões anteriores a 1.5 só suportam pontos.';
			
COMMENT ON FUNCTION ST_FrechetDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac = -1 - Retorna a menor linha 3-dimensional entre duas geometrias';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry ) IS 'args: g1, g2 - Retorna a menor linha 3-dimensional entre duas geometrias';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac - Retorna a menor linha 3-dimensional entre duas geometrias';
			
COMMENT ON FUNCTION ST_Length(geometry ) IS 'args: a_2dlinestring - Retorna o centro geométrico de uma geometria.';
			
COMMENT ON FUNCTION ST_Length(geography , boolean ) IS 'args: geog, use_spheroid=true - Retorna o centro geométrico de uma geometria.';
			
COMMENT ON FUNCTION ST_Length2D(geometry ) IS 'args: a_2dlinestring - Retorna o comprimento 2-dimensional da geometria se for uma linestring ou multi-linestring. Isto é um heterônimo para ST_Length';
			
COMMENT ON FUNCTION ST_3DLength(geometry ) IS 'args: a_3dlinestring - Retorna o centro geométrico de uma geometria.';
			
COMMENT ON FUNCTION ST_LengthSpheroid(geometry , spheroid ) IS 'args: a_geometry, a_spheroid - Retorna o centro geométrico de uma geometria.';
			
COMMENT ON FUNCTION ST_LongestLine(geometry , geometry ) IS 'args: g1, g2 - Retorna a linha 3-dimensional mais longa entre duas geometrias';
			
COMMENT ON FUNCTION ST_3DLongestLine(geometry , geometry ) IS 'args: g1, g2 - Retorna a linha 3-dimensional mais longa entre duas geometrias';
			
COMMENT ON FUNCTION ST_MaxDistance(geometry , geometry ) IS 'args: g1, g2 - Retorna a maior distância 2-dimensional entre duas geometrias em unidades projetadas.';
			
COMMENT ON FUNCTION ST_3DMaxDistance(geometry , geometry ) IS 'args: g1, g2 - Para tipo de geometria retorna a maior distância 3-dimensional cartesiana (baseada na referência espacial) entre duas geometrias em unidade projetadas.';
			
COMMENT ON FUNCTION ST_MinimumClearance(geometry ) IS 'args: g - Retorna a liquidação mínima de uma geometria, uma medida de uma robustez de uma geometria.';
			
COMMENT ON FUNCTION ST_MinimumClearanceLine(geometry ) IS 'args: g - Retorna a LineString de dois pontos abrangendo a liquidação mínima de uma geometria.';
			
COMMENT ON FUNCTION ST_Perimeter(geometry ) IS 'args: g1 - Returns the length of the boundary of a polygonal geometry or geography.';
			
COMMENT ON FUNCTION ST_Perimeter(geography , boolean ) IS 'args: geog, use_spheroid=true - Returns the length of the boundary of a polygonal geometry or geography.';
			
COMMENT ON FUNCTION ST_Perimeter2D(geometry ) IS 'args: geomA - Returns the 2D perimeter of a polygonal geometry. Alias for ST_Perimeter.';
			
COMMENT ON FUNCTION ST_3DPerimeter(geometry ) IS 'args: geomA - Retorna o centro geométrico de uma geometria.';
			
COMMENT ON FUNCTION ST_Project(geography , float , float ) IS 'args: g1, distance, azimuth - Retorna um POINT projetado de um ponto inicial usando uma distância em metros e suportando (azimute) em radianos.';
			
COMMENT ON FUNCTION ST_ShortestLine(geometry , geometry ) IS 'args: g1, g2 - Retorna a menor linha 2-dimensional entre duas geometrias';
			
COMMENT ON FUNCTION ST_3DShortestLine(geometry , geometry ) IS 'args: g1, g2 - Retorna a menor linha 3-dimensional entre duas geometrias';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float ) IS 'args: g1, radius_of_buffer - (T) Retorna uma geometria cobrindo todos os pontos com a dada distância da geometria de entrada.';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float , integer ) IS 'args: g1, radius_of_buffer, num_seg_quarter_circle - (T) Retorna uma geometria cobrindo todos os pontos com a dada distância da geometria de entrada.';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float , text ) IS 'args: g1, radius_of_buffer, buffer_style_parameters - (T) Retorna uma geometria cobrindo todos os pontos com a dada distância da geometria de entrada.';
			
COMMENT ON FUNCTION ST_Buffer(geography , float ) IS 'args: g1, radius_of_buffer_in_meters - (T) Retorna uma geometria cobrindo todos os pontos com a dada distância da geometria de entrada.';
			
COMMENT ON FUNCTION ST_Buffer(geography , float , integer ) IS 'args: g1, radius_of_buffer, num_seg_quarter_circle - (T) Retorna uma geometria cobrindo todos os pontos com a dada distância da geometria de entrada.';
			
COMMENT ON FUNCTION ST_Buffer(geography , float , text ) IS 'args: g1, radius_of_buffer, buffer_style_parameters - (T) Retorna uma geometria cobrindo todos os pontos com a dada distância da geometria de entrada.';
			
COMMENT ON FUNCTION ST_BuildArea(geometry ) IS 'args: A - Cria uma geometria formada pela linwork constituinte da geometria';
			
COMMENT ON FUNCTION ST_CurveToLine(geometry) IS 'args: curveGeom - Retorna uma coleção de geometrias resultante da divisão de uma geometria.';
			
COMMENT ON FUNCTION ST_CurveToLine(geometry, integer) IS 'args: curveGeom, segments_per_qtr_circle - Retorna uma coleção de geometrias resultante da divisão de uma geometria.';
			
COMMENT ON FUNCTION ST_ClipByBox2D(geometry, box2d) IS 'args: geom, box - Retorna a porção de uma geometria caindo dentro de um retângulo.';
			
COMMENT ON FUNCTION ST_ConcaveHull(geometry , float , boolean ) IS 'args: geomA, target_percent, allow_holes=false - O casco côncavo de uma geometrias representa uma possível geometria côncava que envolve todas as geometrias dentro do conjunto. Você pode pensar nele como um encolhimento.';
			
COMMENT ON FUNCTION ST_ConvexHull(geometry ) IS 'args: geomA - Computes the convex hull of a geometry.';
			
COMMENT ON FUNCTION ST_OffsetCurve(geometry , float , text ) IS 'args: line, signed_distance, style_parameters='' - Converte uma CIRCULARSTRING/CURVEPOLYGON para uma LINESTRING/POLYGON';
			
COMMENT ON FUNCTION ST_DelaunayTriangles(geometry , float , int4 ) IS 'args: g1, tolerance, flags - Retorna uma triangulação de Delaunay em volta dos pontos de entrada.';
			
COMMENT ON FUNCTION ST_Difference(geometry , geometry ) IS 'args: geomA, geomB - Retorna uma geometria que representa aquela parte de geometria A que não intersecta com a geometria B.';
			
COMMENT ON FUNCTION ST_FlipCoordinates(geometry) IS 'args: geom - Retorna uma versão da geometria dada com os eixos X e Y virados. Útil para pessoas que construíram características latitude/longitude e precisam consertá-las.';
			
COMMENT ON FUNCTION ST_Intersection(geometry, geometry) IS 'args: geomA, geomB - Converte um polígono ou multi-polígono para um multi-ponto composto por pontos de localização aleatórios dentro das áreas originais.';
			
COMMENT ON FUNCTION ST_Intersection(geography, geography) IS 'args: geogA, geogB - Converte um polígono ou multi-polígono para um multi-ponto composto por pontos de localização aleatórios dentro das áreas originais.';
			
COMMENT ON FUNCTION ST_Simplify(geometry, float, boolean) IS 'args: geomA, tolerance, preserveCollapsed - Returns the geometric median of a MultiPoint.';
			
COMMENT ON FUNCTION ST_Intersection(geometry, geometry) IS 'args: geomA, geomB - (T) Retorna uma geometria que representa a porção dividida da geomA e geomB.';
			
COMMENT ON FUNCTION ST_Intersection(geography, geography) IS 'args: geogA, geogB - (T) Retorna uma geometria que representa a porção dividida da geomA e geomB.';
			
COMMENT ON FUNCTION ST_LineToCurve(geometry ) IS 'args: geomANoncircular - Converte uma LINESTRING/POLYGON para um CIRCULARSTRING, CURVEPOLYGON';
			
COMMENT ON FUNCTION ST_MakeValid(geometry) IS 'args: input - Tenta tornar uma geometria inválida válida sem perder vértices.';
			
COMMENT ON AGGREGATE ST_MemUnion(geometry) IS 'args: geomfield - O mesmo que ST_Union, somente memória amigável (utiliza menos memória e mais tempo de processador).';
			
COMMENT ON FUNCTION ST_MinimumBoundingCircle(geometry , integer ) IS 'args: geomA, num_segs_per_qt_circ=48 - Retorna o menor polígono circular que pode conter uma geometria. O padrão usa 48 segmentos por quarto de círculo.';
			
COMMENT ON FUNCTION ST_MinimumBoundingRadius(geometry) IS 'args: geom - Retorna o ponto central e o alcance do menor círculo que pode conter uma geometria.';
			
COMMENT ON FUNCTION ST_Node(geometry ) IS 'args: geom - Retorna uma coleção de geometrias resultante da divisão de uma geometria.';
			
COMMENT ON AGGREGATE ST_Polygonize(geometry) IS 'args: geomfield - Agregado. Cria uma GeometryCollection contendo possíveis polígonos formados a partir da linework constituinte de um conjunto de geometrias.';
			
COMMENT ON FUNCTION ST_Polygonize(geometry[]) IS 'args: geom_array - Agregado. Cria uma GeometryCollection contendo possíveis polígonos formados a partir da linework constituinte de um conjunto de geometrias.';
			
COMMENT ON FUNCTION ST_Node(geometry ) IS 'args: geom - Nodar um conjunto de linestrings.';
			
COMMENT ON FUNCTION ST_OffsetCurve(geometry , float , text ) IS 'args: line, signed_distance, style_parameters='' - Retorna uma linha deslocada em uma dada distância e lado de uma linha de entrada. Útil para calcular linhas paralelas sobre uma linha central';
			
COMMENT ON FUNCTION ST_Node(geometry ) IS 'args: geom - Returns a POINT guaranteed to lie on the surface.';
			
COMMENT ON FUNCTION ST_RemoveRepeatedPoints(geometry, float8) IS 'args: geom, tolerance - Retorna uma versão da geometria dada com pontos removidos duplicados.';
			
COMMENT ON FUNCTION ST_SharedPaths(geometry, geometry) IS 'args: lineal1, lineal2 - Retorna uma coleção contendo caminhos compartilhados pelas duas linestrings/multilinestrings de entrada.';
			
COMMENT ON FUNCTION ST_ShiftLongitude(geometry ) IS 'args: geomA - Coordenadas de geometria fechada entre -180...180 e 0...360 extensões.';
			
COMMENT ON FUNCTION ST_WrapX(geometry , float8 , float8 ) IS 'args: geom, wrap, move - Envolve uma geometria em torno de um valor X.';
			
COMMENT ON FUNCTION ST_Simplify(geometry, float, boolean) IS 'args: geomA, tolerance, preserveCollapsed - Retorna uma versão "simplificada" da geometria usando o algorítimo Douglas-Peucker.';
			
COMMENT ON FUNCTION ST_SimplifyPreserveTopology(geometry, float) IS 'args: geomA, tolerance - Retorna uma versão "simplificada" da geometria dada usando o algorítimo Douglas-Peucker. Evitará a criação de geometrias derivadas (polígonos, em particular) que sejam inválidas.';
			
COMMENT ON FUNCTION ST_SimplifyVW(geometry, float) IS 'args: geomA, tolerance - Retorna uma versão "simplificada" da geometria usando o algorítimo Visvalingam-Whyatt.';
			
COMMENT ON FUNCTION ST_Simplify(geometry, float, boolean) IS 'args: geomA, tolerance, preserveCollapsed - Retorna uma versão "simplificada" da geometria usando o algorítimo Visvalingam-Whyatt.';
			
COMMENT ON FUNCTION ST_Simplify(geometry, float, boolean) IS 'args: geomA, tolerance, preserveCollapsed - Filters vertex points based on their m-value';
			
COMMENT ON FUNCTION ST_SetEffectiveArea(geometry, float, integer) IS 'args: geomA, threshold = 0, set_area = 1 - Define a área eficaz para cada vértice, armazenando o valor na ordenada M. Uma geometria simplificada pode ser gerada por filtração da ordenada M.';
			
COMMENT ON FUNCTION ST_Split(geometry, geometry) IS 'args: input, blade - Retorna uma coleção de geometrias resultante da divisão de uma geometria.';
			
COMMENT ON FUNCTION ST_SymDifference(geometry , geometry ) IS 'args: geomA, geomB - Retorna uma geometria que representa as porções de A e B que não intersectam. É chamado de diferença simétrica, porque ST_SymDifference(A,B) = ST_SymDifference(B,A).';
			
COMMENT ON FUNCTION ST_Subdivide(geometry, integer) IS 'args: geom, max_vertices=256 - Retorna um conjunto de geometrias, no qual nenhuma geometria no conjunto tem mais vértices que o número especificado.';
			
COMMENT ON AGGREGATE ST_Union(geometry) IS 'args: g1field - Retorna uma geometria que representa a união de pontos das Geometrias.';
			
COMMENT ON FUNCTION ST_Union(geometry, geometry) IS 'args: g1, g2 - Retorna uma geometria que representa a união de pontos das Geometrias.';
			
COMMENT ON FUNCTION ST_Union(geometry[]) IS 'args: g1_array - Retorna uma geometria que representa a união de pontos das Geometrias.';
			
COMMENT ON FUNCTION ST_UnaryUnion(geometry ) IS 'args: geom - Parecido com ST_Union, mas funcionando no nível do componente da geometria.';
			
COMMENT ON FUNCTION ST_Voronoi(geometry, geometry, float8, boolean) IS 'args: g1, clip, tolerance, return_polygons - Calcula um diagrama de Voronoi dos vértices de uma geometria.';
			
COMMENT ON FUNCTION ST_Voronoi(geometry, geometry, float8, boolean) IS 'args: g1, clip, tolerance, return_polygons - Calcula um diagrama de Voronoi dos vértices de uma geometria.';
			
COMMENT ON FUNCTION ST_LineInterpolatePoint(geometria , float8 ) IS 'args: a_linestring, a_fraction - Retorna um ponto interpolar ao longo de uma linha. Segundo argumento é um float8 entre 0 e 1 representando fração do comprimento total da linestring do ponto tem que ser localizado.';
			
COMMENT ON FUNCTION ST_LineInterpolatePoint(geometria , float8 ) IS 'args: a_linestring, a_fraction - Retorna um ponto interpolar ao longo de uma linha. Segundo argumento é um float8 entre 0 e 1 representando fração do comprimento total da linestring do ponto tem que ser localizado.';
			
COMMENT ON FUNCTION ST_LineInterpolatePoints(geometry , float8 , boolean ) IS 'args: a_linestring, a_fraction, repeat - Returns one or more points interpolated along a line.';
			
COMMENT ON FUNCTION ST_LineLocatePoint(geometria , geometria ) IS 'args: a_linestring, a_point - Retorna um flutuador entre 0 e 1 representando a localização do ponto mai próximo na linestring do ponto dado, como uma fração de uma linha de comprimento 2d total.';
			
COMMENT ON FUNCTION ST_LineSubstring(geometria , float8 , float8 ) IS 'args: a_linestring, startfraction, endfraction - Retorna uma linestring sendo uma substring da de entrada começando e finalizando nas frações dadas do total 2d de comprimento. Segundo e terceiro argumentos são valores float8 entre 0 e 1.';
			
COMMENT ON FUNCTION ST_LocateAlong(geometria , float8 , float8 ) IS 'args: ageom_with_measure, a_measure, offset - Retorna um valor de coleção de geometria derivado com elementos que combinam com a medida específica. Elementos polígonos não são suportados.';
			
COMMENT ON FUNCTION ST_LocateBetween(geometria , float8 , float8 , float8 ) IS 'args: geomA, measure_start, measure_end, offset - Retorna um valor de coleção de geometria derivado com elementos que combinam com a medida específica. Elementos polígonos não são suportados.';
			
COMMENT ON FUNCTION ST_LocateBetweenElevations(geometria , float8 , float8 ) IS 'args: geom_mline, elevation_start, elevation_end - Retorna um valor de coleção de geometria derivado com elementos que combinam com a medida específica. Elementos polígonos não são suportados.';
			
COMMENT ON FUNCTION ST_InterpolatePoint(geometria , geometry ) IS 'args: line, ponto - Retorna o valor da dimensão de medida da geometria no ponto fechado para o ponto fornecido.';
			
COMMENT ON FUNCTION ST_AddMeasure(geometria , float8 , float8 ) IS 'args: geom_mline, measure_start, measure_end - Retorna uma geometria derivada com elementos de medida interpolados linearmente entre os pontos de início e de fim.';
			
COMMENT ON FUNCTION AddAuth(text ) IS 'args: auth_token - Adiciona um token de autorização para ser usado em transação atual.';
			
COMMENT ON FUNCTION CheckAuth(text , text , text ) IS 'args: a_schema_name, a_table_name, a_key_column_name - Cria trigger em uma table para prevenir/permitir atualizações e exclusões de filas baseado em token de autorização.';
			
COMMENT ON FUNCTION CheckAuth(text , text ) IS 'args: a_table_name, a_key_column_name - Cria trigger em uma table para prevenir/permitir atualizações e exclusões de filas baseado em token de autorização.';
			
COMMENT ON FUNCTION DisableLongTransactions() IS 'DesativarLongasTransações';
			
COMMENT ON FUNCTION EnableLongTransactions() IS 'AtivarLongasTransações';
			
COMMENT ON FUNCTION LockRow(text , text , text , text, timestamp) IS 'args: a_schema_name, a_table_name, a_row_key, an_auth_token, expire_dt - Configurar fechamento/autorização para uma fileira específica na table';
			
COMMENT ON FUNCTION LockRow(text , text , text, timestamp) IS 'args: a_table_name, a_row_key, an_auth_token, expire_dt - Configurar fechamento/autorização para uma fileira específica na table';
			
COMMENT ON FUNCTION LockRow(text , text , text) IS 'args: a_table_name, a_row_key, an_auth_token - Configurar fechamento/autorização para uma fileira específica na table';
			
COMMENT ON FUNCTION UnlockRows(text ) IS 'args: auth_token - Removes all locks held by an authorization token.';
			